import { ProductService } from "@/services/product.service";
import { RequestHandler } from "express";
import { ProductDto } from "@/dto/product.dto";
import { validate } from 'class-validator';

export class ProductController {
    private service: ProductService

    constructor() {
        this.service = new ProductService()
    }

    getAllProducts: RequestHandler = (req, res) => {
        const products = this.service.getAllProducts()
        res.send(products)
    }

    getProduct: RequestHandler = (req, res) => {
        const product = this.service.getProduct(req.params.id)
        res.send(product)
    }

     createProduct: RequestHandler = async (req, res) => {
        const productDto = new ProductDto(req)
        const errors = await validate(productDto)

        if(errors.length > 0) {
            res.send(errors)
        } else {
            const product = this.service.createProduct(productDto)
            res.send(product)
        }
    }
}