import {IsString, IsNumber} from 'class-validator'
import { Request } from 'express'; 

export class ProductDto {
    constructor(req: Request) {
        this.title = req.body.title
        this.description = req.body.description
        this.price = req.body.price
    }

    @IsString({message: 'Title must be string'})
    title: string;
  
    @IsString({message: 'Description must be string'})
    description: string;
  
    @IsNumber()
    price: number;
}