import { Router } from "express";
import { IRoute } from "@/interfaces/IRoute.interface";
import { ProductController } from "@/controllers/product.controller";

export class ProductRoute implements IRoute {
    public path = '/product';
    public router = Router();
    private controller: ProductController;

    constructor() {
        this.controller = new ProductController();
        this.init()
    }
    
    private init() {
        this.router.get('/', this.controller.getAllProducts)
        this.router.get('/:id', this.controller.getProduct)
        this.router.post('/', this.controller.createProduct)
    }
}